select
  an.numero as "Nmero da vaca"
  , an.cdanimal
  , an.dtnascimento as "Data de nascimento"
  , an.sexo as "Sexo"
  , pai.numero as "Pai"
  , mae.numero as "Me"
  , ((select count(*) from reproducao par where par.cdanimal = an.cdanimal and par.cdtiporeproducao = 7) + coalesce(an.numpartoentrada, 0)) as "Ordem de parto"
  , an.brincoeletronico as "EID (id eletrnica)"
  , (select sp.grausangue from sp_calculagrausangue(an.cdanimal) sp) as "Raa"
  , g1.descricao as "Grupo (lote) atual"
from
  animal an
  left join animal pai on pai.cdanimal = an.cdpai
  left join animal mae on mae.cdanimal = an.cdmae
  left join movgrupo m1 on m1.cdmovgrupo =
    (select first 1 re.cdmovgrupo from movgrupo re join movgrupoanimal rea on rea.cdmovgrupo = re.cdmovgrupo where
        rea.cdanimal = an.cdanimal and re.cdtipogrupoanimal = (select valor from configuracao where upper(nome) = 'TIPOGRUPOPRINCIPAL')
        and re.dtmovimentacao <= current_date order by re.dtmovimentacao desc)
  left join grupoanimal g1 on g1.cdgrupoanimal = m1.cdgrupoanimal
where
  an.tipoanimal = 'A'
  and an.animalrebanho = 1
order by an.numero
